;;;; This file is part of charset.el
;;;  It is copyright (c) 1996 by J. Chroboczek

(defvar charset-L2-ascii-translation-table
  '((160 . " ") (161 . "A") (162 . "(breve)") (163 . "L") 
    (164 . "(tughriks)") (165 . "L") (166 . "S") (167 . "\"") 
    (169 . "S") (170 . "S") (171 . "T") (172 . "Z") (173 . "-") 
    (174 . "Z") (175 . "Z") (176 . "(o)") (177 . "a") (178 . "(ogonek)")
    (179 . "l") (180 . "'") (181 . "l") (182 . "s") (183 . "(caron)")
    (184 . "(cedilla)") (185 . "s") (186 . "s") (187 . "t") 
    (188 . "z") (189 . "\"") (190 . "z") (191 . "z") (192 . "R") 
    (193 . "A") (194 . "A") (195 . "A") (196 . "A") (197 . "L") 
    (198 . "C") (199 . "C") (200 . "C") (201 . "E") (202 . "E") 
    (203 . "E") (204 . "E") (205 . "I") (206 . "I") (207 . "D") 
    (208 . "D") (209 . "N") (210 . "N") (211 . "O") (212 . "O") 
    (213 . "O") (214 . "O") (215 . "(times)") (216 . "R") (217 . "U")
    (218 . "U") (219 . "U") (220 . "U") (221 . "Y") (222 . "T")
    (223 . "ss") (224 . "r") (225 . "a") (226 . "a") (227 . "a")
    (228 . "a") (229 . "l") (230 . "c") (231 . "c") (232 . "c")
    (233 . "e") (234 . "e") (235 . "e") (236 . "e") (237 . "i")
    (238 . "i") (239 . "d") (240 . "d") (241 . "n") (242 . "n")
    (243 . "o") (244 . "o") (245 . "o") (246 . "o") (247 . "(div)")
    (248 . "r") (249 . "u") (250 . "u") (251 . "u") (252 . "u")
    (253 . "y") (254 . "t") (255 . ".")))

(defvar charset-L1-ascii-translation-table
  '((160 . " ") (161 . "`!") (162 . "(cents)") (163 . "(pounds)") 
    (164 . "(tughriks)") (165 . "(yens)") (166 . "|") 
    (167 . "(par)") (168 . "(dieresis)") (169 . "(c)")
    (170 . "(a)") (171 . "<<") (172 . "(not)") (173 . "-") (174 . "(R)")
    (175 . "-") (176 . "(o)") (177 . "+/-") (178 . "(2)") (179 . "(3)")
    (180 . "'") (181 . "(micro)") (182 . "(pilcrow)") (183 . ".") (184 . ",")
    (185 . "(1)") (186 . "(o)") (187 . ">>") (188 . "(1/4)") (189 . "(1/2)")
    (190 . "(3/4)") (191 . "`?") (192 . "A") (193 . "A") (194 . "A")
    (195 . "A") (196 . "A") (197 . "A") (198 . "AE") (199 . "C")
    (200 . "E") (201 . "E") (202 . "E") (203 . "E") (204 . "I")
    (205 . "I") (206 . "I") (207 . "I") (208 . "TH") (209 . "N")
    (210 . "O") (211 . "O") (212 . "O") (213 . "O") (214 . "O")
    (215 . "(times)") (216 . "O") (217 . "U") (218 . "U") (219 . "U")
    (220 . "U") (221 . "Y") (222 . "TH") (223 . "ss") (224 . "a")
    (225 . "a") (226 . "a") (227 . "a") (228 . "a") (229 . "a")
    (230 . "ae") (231 . "c") (232 . "e") (233 . "e") (234 . "e")
    (235 . "e") (236 . "i") (237 . "i") (238 . "i") (239 . "i")
    (240 . "th") (241 . "n") (242 . "o") (243 . "o") (244 . "o")
    (245 . "o") (246 . "o") (247 . "(div)") (248 . "o") (249 . "u")
    (250 . "u") (251 . "u") (252 . "u") (253 . "y") (254 . "th")
    (255 . "y")))

(defvar charset-CP1250-L2-translation-table
  '((130 . ",")                         ;single low-9 quotation mark
    (132 . ",,")                        ;double low-9 quotation mark
    (133 . "...")                       ;horizontal ellipsis
    (134 . "(+)")                       ;dagger
    (135 . "(++)")                      ;double dagger
    (136 . "^")
    (137 . "%.")                        ;per mille sign
    (138 . "\251")
    (139 . "<")                         ;single left-pointing angle 
                                        ;quotation mark
    (140 . "\246") (141 . "\253") (142 . "\256") (143 . "\254")
    (145 . "`")                         ;left single quotation mark
    (146 . "'")                         ;right single quotation mark
    (147 . "``")                        ;left double quotation mark
    (148 . "''")                        ;right double quotation mark
    (149 . "o")                         ;bullet
    (150 . "-")                         ;en dash
    (151 . "--")                        ;em dash
    (153 . "(tm)")                      ;trade mark sign
    (154 . "\271")
    (155 . ">")                         ;single right-pointing angle 
                                        ;quotation mark
    (156 . "\266") (157 . "\273") (158 . "\276") (159 . "\274")
    (160 . "\240")                      ;no-break space
    (161 . "\267") (162 . "\242") (163 . "\243") (164 . "\244") (165 . "\241")
    (166 . "|")                         ;broken bar
    (167 . "(sec)")                     ;section sign
    (168 . "\"")                        ;diaeresis
    (169 . "(c)")                       ;copyright sign
    (170 . "\252")
    (171 . "<<")                        ;left-pointing double angle 
                                        ;quotation mark
    (172 . "(not)")                     ;not sign
    (173 . "\255")                      ;soft hyphen
    (174 . "(r)")                       ;registered sign
    (175 . "\257") (176 . "\260")
    (177 . "+/-")                       ;plus-minus sign
    (178 . "\262") (179 . "\263") (180 . "\264")
    (181 . "(micro)")                   ;micro sign
    (182 . "(pilcrow)")                 ;pilcrow sign
    (183 . "\377")                      ;middle dot
    (184 . "\270") (185 . "\261") (186 . "\272")
    (187 . ">>")                        ;right-pointing double angle
                                        ;quotation mark
    (188 . "\245") (189 . "\275") (190 . "\265") (191 . "\277")))

(defvar charset-koi8-cyrillic-translation-table
  '((193 . "\320") (194 . "\321") (215 . "\322") (199 . "\323") 
    (196 . "\324") (197 . "\325") (163 . "\361") (214 . "\326") 
    (218 . "\327") (201 . "\330") (202 . "\331") (203 . "\332") 
    (204 . "\333") (205 . "\334") (206 . "\335") (207 . "\336")
    (208 . "\337") (210 . "\340") (211 . "\341") (212 . "\342")
    (213 . "\343") (198 . "\344") (200 . "\345") (195 . "\346")
    (222 . "\347") (219 . "\350") (221 . "\351") (223 . "\352")
    (217 . "\353") (216 . "\354") (220 . "\355") (192 . "\356")
    (209 . "\357") (225 . "\260") (226 . "\261") (247 . "\262")
    (231 . "\263") (228 . "\264") (229 . "\265") (179 . "\241")
    (246 . "\266") (250 . "\267") (233 . "\270") (234 . "\271")
    (235 . "\272") (236 . "\273") (237 . "\274") (238 . "\275")
    (239 . "\276") (240 . "\277") (242 . "\300") (243 . "\301")
    (244 . "\302") (245 . "\303") (230 . "\304") (232 . "\305")
    (227 . "\306") (254 . "\307") (251 . "\310") (253 . "\311")
    (255 . "\312") (249 . "\313") (248 . "\314") (252 . "\315")
    (224 . "\316") (241 . "\317")))

(defvar charset-cyrillic-ascii-translation-table
  '((208 . "a") (209 . "b") (210 . "v") (211 . "g") (212 . "d")
    (213 . "e") (241 . "e") (214 . "zh") (215 . "z") (216 . "i")
    (217 . "j") (218 . "k") (219 . "l") (220 . "m") (221 . "n")
    (222 . "o") (223 . "p") (224 . "r") (225 . "s") (226 . "t")
    (227 . "u") (228 . "f") (229 . "h") (230 . "c") (231 . "ch")
    (232 . "sh") (233 . "sch") (234 . "'") (235 . "y") (236 . "'")
    (237 . "e") (238 . "yu") (239 . "ya") (176 . "A") (177 . "B")
    (178 . "V") (179 . "G") (180 . "D") (181 . "E") (161 . "E")
    (182 . "Zh") (183 . "Z") (184 . "I") (185 . "J") (186 . "K")
    (187 . "L") (188 . "M") (189 . "N") (190 . "O") (191 . "P")
    (192 . "R") (193 . "S") (194 . "T") (195 . "U") (196 . "F")
    (197 . "H") (198 . "C") (199 . "Ch") (200 . "Sh") (201 . "Sch") 
    (202 . "'") (203 . "Y") (204 . "'") (205 . "E") (206 . "Yu") 
    (207 . "Ya")))

(defvar charset-ibm850-L1-translation-table
  '((128 . "\307") (129 . "\374") (130 . "\351") (131 . "\342")
    (132 . "\344") (133 . "\205") (134 . "\345") (135 . "\347")
    (136 . "\352") (137 . "\353") (138 . "\212") (139 . "\357")
    (140 . "\356") (141 . "\215") (142 . "\304") (143 . "\305")
    (144 . "\311") (145 . "\346") (146 . "\306") (147 . "\364")
    (148 . "\366") (149 . "\225") (150 . "\373") (151 . "\227")
    (152 . "\377") (153 . "\326") (154 . "\334") (155 . "\370")
    (156 . "\243") (157 . "\330") (158 . "\327") (160 . "\341")
    (161 . "\355") (162 . "\363") (163 . "\372") (164 . "\361")
    (165 . "\321") (166 . "\252") (167 . "\272") (168 . "\277")
    (169 . "\256") (170 . "\254") (171 . "\275") (172 . "\274")
    (173 . "\241") (174 . "\253") (175 . "\273") (181 . "\301")
    (182 . "\302") (183 . "\300") (184 . "\251") (189 . "\242")
    (190 . "\245") (198 . "\343") (199 . "\303") (207 . "\244")
    (208 . "\360") (209 . "\320") (210 . "\312") (211 . "\313")
    (212 . "\310") (214 . "\315") (215 . "\316") (216 . "\317")
    (221 . "\246") (222 . "\314") (224 . "\323") (225 . "\337")
    (226 . "\324") (227 . "\322") (228 . "\365") (229 . "\325")
    (231 . "\336") (232 . "\376") (233 . "\332") (234 . "\333")
    (235 . "\331") (236 . "\375") (237 . "\335") (239 . "\264")
    (240 . "\255") (241 . "\261") (243 . "\276") (244 . "\266")
    (245 . "\247") (246 . "\367") (248 . "\260") (249 . "\250")
    (251 . "\271") (252 . "\263") (253 . "\262") (255 . "\240")))

(defvar charset-swedish-L1-translation-table
  '((?} . "\345") (?{ . "\344") (?| . "\366") (?\] . "\305")
    (?\[ . "\304") (?\\ . "\326")))